> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/databases/postgresql-v2/clusters/delete-cluster.md).

# Delete Cluster

Deletes the specified Cluster.

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD DBaaS PostgreSQL","version":"2.0.0"},"tags":[{"name":"Clusters","description":"A PostgreSQL (PG) cluster is a unified group of one or more interconnected database instances.\nIt consists of a single primary instance that handles all write operations,\nalong with optional standby replicas that provide high availability.\nThis entity represents the entire logical unit, allowing for the unified management of all its nodes and configurations.\nCredentials are managed through the cluster resource and are used to provision and manage\nthe cluster's database users. Customers can connect directly to the cluster using standard\nPostgreSQL tools to create additional users, databases, and access grants.\nWhen credentials are supplied, the behavior is additive:\na new <code>username</code> creates a new user with cluster-wide access granted to the\nspecified <code>database</code> — the previous user is preserved;\na new <code>database</code> creates a new database and grants the specified user access\nto both the new and any previously accessible databases;\nan existing <code>username</code> updates the user's password.\nUnlike other cluster fields, omitting the <code>credentials</code> field leaves all\nexisting users and databases unchanged rather than clearing them.\nThis tag groups all operations for clusters.\n"}],"servers":[{"url":"https://postgresql.de-txl.ionos.com/v2","description":"Germany, Berlin"},{"url":"https://postgresql.de-fra.ionos.com/v2","description":"Germany, Frankfurt (de-fra)"},{"url":"https://postgresql.fr-par.ionos.com/v2","description":"France, Paris"},{"url":"https://postgresql.es-vit.ionos.com/v2","description":"Spain, Logroño"},{"url":"https://postgresql.gb-lhr.ionos.com/v2","description":"United Kingdom, London"},{"url":"https://postgresql.gb-bhx.ionos.com/v2","description":"United Kingdom, Worcester"},{"url":"https://postgresql.us-las.ionos.com/v2","description":"United States, Las Vegas"},{"url":"https://postgresql.us-mci.ionos.com/v2","description":"United States, Lenexa"},{"url":"https://postgresql.us-ewr.ionos.com/v2","description":"United States, Newark"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"The token can be generated using the \n[Authentication API](https://api.ionos.com/docs/authentication/v1/#tag/tokens/operation/tokensGenerate).\n"}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"### Not Found\nThe resource that was requested could not be found.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"TooManyRequests":{"description":"### Too Many Requests\nThe user has sent too many requests in a given amount of time.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServiceUnavailable":{"description":"### Service Unavailable\nThe server is currently unable to handle the request due to a temporary overloading or maintenance of the server.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnexpectedError":{"description":"### Unexpected Internal Server Error\nAn unexpected internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"schemas":{"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}}},"paths":{"/clusters/{clusterId}":{"delete":{"operationId":"clustersDelete","summary":"Delete Cluster","tags":["Clusters"],"description":"Deletes the specified Cluster.","parameters":[{"name":"clusterId","in":"path","schema":{"type":"string","format":"uuid"},"required":true,"description":"The ID (UUID) of the Cluster."}],"responses":{"202":{"description":"Deleting Cluster was successful."},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"},"default":{"$ref":"#/components/responses/UnexpectedError"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/api-reference/databases/postgresql-v2/clusters/delete-cluster.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
